FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202101261542.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202101261542.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9facc62 OS_GIT_VERSION=4.4.0-202101261542.p0-9facc62 SOURCE_DATE_EPOCH=1578488590 SOURCE_GIT_COMMIT=9facc62b1d7e1788fa1beea40130e922a1c96925 SOURCE_GIT_TAG=v0.4.0-323-g9facc62b SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0.20210126.163349
ENV __doozer=update BUILD_RELEASE=202101261542.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202101261542.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9facc62 OS_GIT_VERSION=4.4.0-202101261542.p0-9facc62 SOURCE_DATE_EPOCH=1578488590 SOURCE_GIT_COMMIT=9facc62b1d7e1788fa1beea40130e922a1c96925 SOURCE_GIT_TAG=v0.4.0-323-g9facc62b SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External attacher for CSI volumes" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.tags="csi,storage,attacher" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        com.redhat.component="csi-attacher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202101261542.p0" \
        io.openshift.build.commit.id="9facc62b1d7e1788fa1beea40130e922a1c96925" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/9facc62b1d7e1788fa1beea40130e922a1c96925" \
        version="v4.4.0"

